Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.cci
Interface ConnectionMetaData

public interface ConnectionMetaData

The interface `ConnectionMetaData` provides information about an EIS instance connected through a Connection instance. A component calls the method `Connection.getMetaData` to get a `ConnectionMetaData` instance.

Version:
  0.8
Author:
  Rahul Sharma
See Also:
  `Connection`, `ResultSetInfo`

Method Summary
`java.lang.String` | `getEISProductName()` Returns product name of the underlying EIS instance connected through the Connection that produced this metadata.
`java.lang.String` | `getEISProductVersion()` Returns product version of the underlying EIS instance.
`java.lang.String` | `getUserName()` Returns the user name for an active connection as known to the underlying EIS instance.

Method Detail

### getEISProductName

    public java.lang.String getEISProductName()
                                       throws ResourceException

  Returns product name of the underlying EIS instance connected through the Connection that produced this metadata.

  Returns:
    Product name of the EIS instance
  Throws:
    `ResourceException` - Failed to get the information for the EIS instance

### getEISProductVersion

    public java.lang.String getEISProductVersion()
                                          throws ResourceException

  Returns product version of the underlying EIS instance.

  Returns:
    Product version of an EIS instance.
  Throws:
    `ResourceException` - Failed to get the information for the EIS instance

### getUserName

    public java.lang.String getUserName()
                                 throws ResourceException

  Returns the user name for an active connection as known to the underlying EIS instance. The name corresponds the resource principal under whose security context a connection to the EIS instance has been established.

  Returns:
    String representing the user name
  Throws:
    `ResourceException` - Failed to get the information for the EIS instance

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.